package adminrpc

import (
	"encoding/json"
	"errors"
)

func GetByToken(dbname, token string, url ...string) (map[string]string, error) {

	if dbname == "" || token == "" {
		return nil, errors.New("参数错误")
	}

	conn, err := rpc_server_conn(url...)
	if err != nil {
		return nil, err
	}
	defer conn.Close()

	data := GetByTokenReq{}
	data.SiteId = token
	data.Dbname = dbname

	req, err := SetReqData(data)
	if err != nil {
		return nil, err
	}

	res := &Response{}

	err = conn.GetByToken(req, res)

	if err != nil {
		return nil, err
	}

	res_data_de, err := GetResData(res)
	if err != nil {
		return nil, err
	}
	if res_data_de == "" {
		return nil, nil
	}
	var res_arr map[string]string

	err = json.Unmarshal([]byte(res_data_de), &res_arr)

	if err != nil {
		return nil, err
	}
	return res_arr, nil
}
